#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	MIME
%define		pnam	Charset
Summary:	Charset Informations for MIME
Summary(pl.UTF-8):	Informacje o zestawach znaków dla MIME
Name:		perl-MIME-Charset
Version:	1.012.2
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	71440416376248c31aa3bef753fae28d
URL:		http://search.cpan.org/dist/MIME-Charset/
BuildRequires:	perl-Encode >= 1:1.98
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIME::Charset provides informations about character sets used for MIME
messages on Internet.

%description -l pl.UTF-8
Moduł Perla zawierający informacje o zestawach znaków używanych przez
MIME.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--skipdeps

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/ja/man3

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/POD2/JA/MIME/Charset.pod
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man3/POD2::JA::MIME::Charset.3pm $RPM_BUILD_ROOT%{_mandir}/ja/man3/MIME::Charset.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/MIME/Charset.pm
%dir %{perl_vendorlib}/MIME/Charset
%{perl_vendorlib}/MIME/Charset/Defaults.pm.sample
%{perl_vendorlib}/MIME/Charset/_Compat.pm
%{perl_vendorlib}/MIME/Charset/UTF.pm
%{_mandir}/man3/MIME::Charset.3pm*
%lang(ja) %{_mandir}/ja/man3/MIME::Charset.3pm*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-MIME-Charset.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f84c1b3
- drop obsolete and outdated manual inclusion of rpm macros

* Sat May 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 95b08bc
- updated to 1.012.2

* Fri Dec 04 2009 amateja <amateja@pld-linux.org> d5fca31
- updated to 1.008

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> b2d20de
- updated to 1.007.1

* Wed Jun 10 2009 amateja <amateja@pld-linux.org> b3a7462
- updated to 1.006.2

* Tue Oct 14 2008 Elan Ruusamäe <glen@pld-linux.org> ac7bab0
- Encode.pm version from Makefile.PL

* Mon Sep 29 2008 pawelz <pawelz@pld-linux.org> 2b528ae
- removed comments from template
- rel 1

* Mon Sep 29 2008 pawelz <pawelz@pld-linux.org> b23ce78
- more verbose %files
- use %lang for japan man and install it in correct dir

* Mon Sep 29 2008 pawelz <pawelz@pld-linux.org> f9212c5
- cosmetics
- desc, Summary

* Mon Sep 29 2008 pawelz <pawelz@pld-linux.org> 5589a82
- added missing dir

* Sat Jul 26 2008 luzik <luzik@pld-linux.org> d6f2e49
- initial release
- ugly spec but work :)

